<?php
namespace boru\boruai\Openai\Stream\Response\FileSearchCall;

use boru\boruai\Openai\Stream\StreamEvent;

class FileSearchCallBase extends StreamEvent {
    private $outputIndex;
    private $itemId;

    public function outputIndex($outputIndex=null) {
        if ($outputIndex !== null) {
            $this->outputIndex = $outputIndex;
        }
        return $this->outputIndex;
    }
    public function itemId($itemId=null) {
        if ($itemId !== null) {
            $this->itemId = $itemId;
        }
        return $this->itemId;
    }

    public function toArray() {
        return [
            'type' => $this->type(),
            'outputIndex' => $this->outputIndex(),
            'itemId' => $this->itemId(),
        ];
    }
}